# Uses of Enum
com.fasterxml.jackson.core.JsonParser.Feature

Packages that use JsonParser.Feature
Package
Description
com.fasterxml.jackson.core
Main public API classes of the core streaming JSON processor: most importantly `JsonFactory` used for constructing JSON parser (`JsonParser`) and generator (`JsonGenerator`) instances.
com.fasterxml.jackson.core.base
Base classes used by concrete Parser and Generator implementations; contain functionality that is not specific to JSON or input abstraction (byte vs char).
com.fasterxml.jackson.core.json
JSON-specific parser and generator implementation classes that Jackson defines and uses.
com.fasterxml.jackson.core.util
Utility classes used by Jackson Core functionality.

## Uses of JsonParser.Feature in com.fasterxml.jackson.core

Methods in com.fasterxml.jackson.core that return JsonParser.Feature
Modifier and Type
Method
Description
`JsonParser.Feature`
StreamReadFeature.`mappedFeature()`
`static JsonParser.Feature`
JsonParser.Feature.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static JsonParser.Feature[]`
JsonParser.Feature.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in com.fasterxml.jackson.core with parameters of type JsonParser.Feature
Modifier and Type
Method
Description
`protected void`
TSFBuilder.`_legacyDisable(JsonParser.Feature f)`
`protected void`
TSFBuilder.`_legacyEnable(JsonParser.Feature f)`
`final JsonFactory`
JsonFactory.`configure(JsonParser.Feature f, boolean state)`
Method for enabling or disabling specified parser feature (check `JsonParser.Feature` for list of features)
`JsonParser`
JsonParser.`configure(JsonParser.Feature f, boolean state)`
Method for enabling or disabling specified feature (check `JsonParser.Feature` for list of features)
`JsonFactory`
JsonFactory.`disable(JsonParser.Feature f)`
Method for disabling specified parser features (check `JsonParser.Feature` for list of features)
`JsonParser`
JsonParser.`disable(JsonParser.Feature f)`
Method for disabling specified feature (check `JsonParser.Feature` for list of features)
`JsonFactory`
JsonFactory.`enable(JsonParser.Feature f)`
Method for enabling specified parser feature (check `JsonParser.Feature` for list of features)
`JsonParser`
JsonParser.`enable(JsonParser.Feature f)`
Method for enabling specified parser feature (check `JsonParser.Feature` for list of features)
`final boolean`
JsonFactory.`isEnabled(JsonParser.Feature f)`
Method for checking if the specified parser feature is enabled.
`boolean`
JsonParser.`isEnabled(JsonParser.Feature f)`
Method for checking whether specified `JsonParser.Feature` is enabled.
`abstract boolean`
TokenStreamFactory.`isEnabled(JsonParser.Feature f)`

## Uses of JsonParser.Feature in com.fasterxml.jackson.core.base

Methods in com.fasterxml.jackson.core.base with parameters of type JsonParser.Feature
Modifier and Type
Method
Description
`JsonParser`
ParserBase.`disable(JsonParser.Feature f)`
`JsonParser`
ParserBase.`enable(JsonParser.Feature f)`

## Uses of JsonParser.Feature in com.fasterxml.jackson.core.json

Methods in com.fasterxml.jackson.core.json that return JsonParser.Feature
Modifier and Type
Method
Description
`JsonParser.Feature`
JsonReadFeature.`mappedFeature()`

## Uses of JsonParser.Feature in com.fasterxml.jackson.core.util

Methods in com.fasterxml.jackson.core.util with parameters of type JsonParser.Feature
Modifier and Type
Method
Description
`JsonParser`
JsonParserDelegate.`disable(JsonParser.Feature f)`
`JsonParser`
JsonParserDelegate.`enable(JsonParser.Feature f)`
`boolean`
JsonParserDelegate.`isEnabled(JsonParser.Feature f)`